import java.util.*;

//record Location(double latitude, double longitude, StringBuilder name) { //bad idea
//}
//StringBuilder is mutable, not a good idea to use as a component.

record Location(double latitude, double longitude, String name) { //good idea
}

//Make sure the components (members) are also self-immutable.

public class Sample {
  public static void main(String[] args) {
    //var alcatraz = new Location(37.827, -122.423, new StringBuilder("The Rock"));
    var alcatraz = new Location(37.827, -122.423, "The Rock");

    //alcatraz.name().append(" oh yeah?");

    System.out.println(alcatraz);
  }
}

