import java.util.*;

record Location(double latitude, double longitude) {

  //this of a compact construtor as a transformer or a map function
  //that sits between the constructor call and the autogenerated canonical constructor.

  public Location { //preferred
    if(latitude < -90 || latitude > 90 || longitude < -180 || longitude > 180) {
      throw new RuntimeException("Out of this world"); 
    }

    latitude = Math.round(latitude * 100.0) / 100.0;
  }
}

public class Sample {
  public static void main(String[] args) {
    var alcatraz = new Location(37.827, -122.423);

    System.out.println(alcatraz);

    var another = new Location(137.827, -122.423);
  }
}
/*
Location[latitude=37.83, longitude=-122.423]
Exception in thread "main" java.lang.RuntimeException: Out of this world
	at Location.<init>(Sample.java:6)
	at Sample.main(Sample.java:20)
*/

