import java.util.*;

record Location(double latitude, double longitude) {
  public Location { 
    if(latitude < -90 || latitude > 90 || longitude < -180 || longitude > 180) {
      throw new RuntimeException("Out of this world"); 
    }

    latitude = Math.round(latitude * 100.0) / 100.0;
  }

  public Location(String location) {
    this(Double.parseDouble(location.split(":")[0]),
      Double.parseDouble(location.split(":")[1]));
  }
}

public class Sample {
  public static void main(String[] args) {
    var alcatraz = new Location(37.827, -122.423);
    System.out.println(alcatraz);

    var another = new Location("37.827:-122.423");
    System.out.println(another);
  }
}

